%global pypi_name rich

Name:           python-%{pypi_name}
Version:        13.9.4
Release:        %mkrel 1
Summary:        Render rich text and beautiful formatting in the terminal
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rich
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%prep
%autosetup -n %{pypi_name}-%{version}

# Loosen reqs
sed -i -e 's/\"^/\">=/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rich

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md


%changelog
* Thu Feb 13 2025 daviddavid <daviddavid> 13.9.4-1.mga10
+ Revision: 2148692
- new version: 13.9.4

* Tue Jul 02 2024 papoteur <papoteur> 13.7.1-1.mga10
+ Revision: 2078850
- new version 13.7.1

* Sat Dec 09 2023 wally <wally> 13.7.0-1.mga10
+ Revision: 2016046
- new version 13.7.0

* Sat Jan 14 2023 guillomovitch <guillomovitch> 13.1.0-1.mga9
+ Revision: 1933051
- new version 13.1.0

* Sun Oct 09 2022 guillomovitch <guillomovitch> 12.6.0-1.mga9
+ Revision: 1895682
- new version 12.6.0

* Thu Sep 08 2022 neoclust <neoclust> 12.5.1-1.mga9
+ Revision: 1885617
- New version  12.5.1

* Sun May 22 2022 guillomovitch <guillomovitch> 12.4.1-1.mga9
+ Revision: 1859784
- new version 12.4.1

* Sun Mar 20 2022 guillomovitch <guillomovitch> 12.0.0-1.mga9
+ Revision: 1808833
- new version 12.0.0

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 10.16.1-2.mga9
+ Revision: 1782714
- rebuild for python-3.10

* Wed Dec 29 2021 guillomovitch <guillomovitch> 10.16.1-1.mga9
+ Revision: 1765340
- new version 10.16.1

* Sun Dec 12 2021 guillomovitch <guillomovitch> 10.15.2-1.mga9
+ Revision: 1761630
- new version 10.15.2

* Sun Nov 28 2021 guillomovitch <guillomovitch> 10.14.0-1.mga9
+ Revision: 1759734
- new version 10.14.0

* Sat Oct 30 2021 guillomovitch <guillomovitch> 10.12.0-1.mga9
+ Revision: 1753341
- new version 10.12.0

* Sat Sep 25 2021 guillomovitch <guillomovitch> 10.11.0-1.mga9
+ Revision: 1746348
- new version 10.11.0

* Sun Aug 22 2021 guillomovitch <guillomovitch> 10.7.0-1.mga9
+ Revision: 1742328
- new version 10.7.0

* Mon Apr 05 2021 guillomovitch <guillomovitch> 10.1.0-1.mga9
+ Revision: 1713451
- new version 10.1.0

* Sun Mar 28 2021 guillomovitch <guillomovitch> 10.0.0-1.mga9
+ Revision: 1711507
- new version 10.0.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 9.13.0-2.mga9
+ Revision: 1705086
- rebuild for python 3.9

* Mon Mar 08 2021 guillomovitch <guillomovitch> 9.13.0-1.mga9
+ Revision: 1700744
- new version 9.13.0

* Tue Mar 02 2021 guillomovitch <guillomovitch> 9.12.4-1.mga9
+ Revision: 1696405
- new version 9.12.4

* Fri Feb 26 2021 guillomovitch <guillomovitch> 9.12.0-1.mga9
+ Revision: 1691702
- new version 9.12.0

* Sat Jan 02 2021 guillomovitch <guillomovitch> 9.6.1-1.mga8
+ Revision: 1668277
- new version 9.6.1

* Fri Dec 25 2020 guillomovitch <guillomovitch> 9.5.1-1.mga8
+ Revision: 1663594
- new version 9.5.1

* Thu Dec 10 2020 guillomovitch <guillomovitch> 9.3.0-1.mga8
+ Revision: 1655253
- new version 9.3.0

* Wed Nov 18 2020 guillomovitch <guillomovitch> 9.2.0-1.mga8
+ Revision: 1647265
- new version 9.2.0

* Mon Oct 26 2020 guillomovitch <guillomovitch> 9.1.0-1.mga8
+ Revision: 1639632
- new version 9.1.0

* Sun Oct 04 2020 guillomovitch <guillomovitch> 8.0.0-1.mga8
+ Revision: 1632195
- new version 8.0.0

* Sat Aug 29 2020 guillomovitch <guillomovitch> 6.0.0-1.mga8
+ Revision: 1619552
- imported package python-rich

